View Issue Details

IDProjectCategoryView StatusLast Update
0001639SymmetricDSImprovementpublic2014-03-16 10:31
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.5.19Fixed in Version3.5.19 
Summary0001639: MySQL and SQL-Server bulk loaders loading rows multiple times
DescriptionThe bulk loaders for MySQL and SQL-Server write to stage files which are processed by a bulk operation. If the number of rows exceed a configured max flush, the rows are loaded, and the file is supposed to be truncated. But the file is left open to write more rows, so on the next flush, the same rows get loaded again.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 070a6759

2014-03-10 14:43:12

erilong

Details Diff
0001639: MySQL and SQL-Server bulk loaders loading rows multiple times
0001639
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/io/MySqlBulkDatabaseWriter.java Diff File
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

SymmetricDS: master fc2847a4

2014-03-12 16:38:26

erilong

Details Diff
0001639: MySQL and SQL-Server bulk loaders loading rows multiple times -- use replace which is faster
0001639
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master 6f185696

2014-03-13 13:33:36

erilong

Details Diff
0001639: MySQL and SQL-Server bulk loaders loading rows multiple times -- typo
0001639
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master 9ed5d5ea

2014-03-14 21:30:30

erilong

Details Diff
0001639: MySQL and SQL-Server bulk loaders loading rows multiple times
0001639
mod - symmetric-mssql/src/main/java/org/jumpmind/symmetric/io/data/writer/MsSqlBulkDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-03-10 14:33 elong New Issue
2014-03-10 14:33 elong Status new => assigned
2014-03-10 14:33 elong Assigned To => elong
2014-03-10 14:43 elong Summary MySQL and SQL-Server bulk loaders loading rows multple times => MySQL and SQL-Server bulk loaders loading rows multiple times
2014-03-10 15:00 Changeset attached => SymmetricDS trunk r8046
2014-03-10 15:00 Changeset attached => SymmetricDS 3.5 r8047
2014-03-11 11:57 elong Status assigned => resolved
2014-03-11 11:57 elong Fixed in Version => 3.5.19
2014-03-11 11:57 elong Resolution open => fixed
2014-03-12 17:00 Changeset attached => SymmetricDS 3.5 r8055
2014-03-12 17:00 Changeset attached => SymmetricDS trunk r8056
2014-03-13 14:00 Changeset attached => SymmetricDS trunk r8060
2014-03-13 14:00 Changeset attached => SymmetricDS 3.5 r8061
2014-03-14 22:00 Changeset attached => SymmetricDS 3.5 r8071
2014-03-14 22:00 Changeset attached => SymmetricDS trunk r8072
2014-03-16 10:31 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 9ed5d5ea
2015-07-30 21:49 Changeset attached => SymmetricDS master 6f185696
2015-07-30 21:49 Changeset attached => SymmetricDS master fc2847a4
2015-07-30 21:49 Changeset attached => SymmetricDS master 070a6759